source: lliurex-cdlocker/trunk/fuentes/debian/postinst @ 5611

Last change on this file since 5611 was 5611, checked in by mabarracus, 2 years ago

Initial Release.

File size: 1.0 KB
Line 
1#!/bin/sh
2# postinst script for lliurex-cdlocker
3#
4# see: dh_installdeb(1)
5
6set -e
7
8# summary of how this script can be called:
9#        * <postinst> `configure' <most-recently-configured-version>
10#        * <old-postinst> `abort-upgrade' <new version>
11#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
12#          <new-version>
13#        * <postinst> `abort-remove'
14#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
15#          <failed-install-package> <version> `removing'
16#          <conflicting-package> <version>
17# for details, see https://www.debian.org/doc/debian-policy/ or
18# the debian-policy package
19
20
21case "$1" in
22    configure)
23        #systemctl restart n4d
24        n4d-modules enable-plugin /etc/n4d/conf.d/LliurexCdLocker || true
25    ;;
26
27    abort-upgrade|abort-remove|abort-deconfigure)
28    ;;
29
30    *)
31        echo "postinst called with unknown argument \`$1'" >&2
32        exit 1
33    ;;
34esac
35
36# dh_installdeb will replace this with shell code automatically
37# generated by other debhelper scripts.
38
39#DEBHELPER#
40
41exit 0
Note: See TracBrowser for help on using the repository browser.